Bug 17398 - GetDrives does not return all mounted drives
Summary: GetDrives does not return all mounted drives
Status: RESOLVED NORESPONSE
Alias: None
Product: Runtime
Classification: Mono
Component: io-layer (show other bugs)
Version: 3.2.x
Hardware: PC Linux
: Low minor
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-01-23 14:34 UTC by Luke Puplett
Modified: 2018-01-24 22:16 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Comment 1 Miguel de Icaza [MSFT] 2017-08-18 20:29:41 UTC
It is possible that those file system mounts are from an auto-mounter
Comment 2 Ludovic Henry 2018-01-24 19:26:14 UTC
Hi, can you still reproduce with latest version of Mono? If so, could you please provide a reproduction case and steps so that we can reproduce locally? Thank you.
Comment 3 Luke Puplett 2018-01-24 20:14:49 UTC
Hey all, this was logged quite some years ago now. I am no longer working with that customer so I am unable to assist, I'm sorry to say.

I think this is probably quite a discoverable bug, if genuine, so I'd say to close it.

If people are seeing such an issue in later runtime versions (or in PowerShell for Linux which could be impacted?) I'm sure they'll log another bug.

Thanks

Luke
Comment 4 Ludovic Henry 2018-01-24 22:16:40 UTC
Hi Luke,

Thank you very much for your quick answer. If you, at any moment, run into that issue again, please reopen this bug and we will look into it.